/**
 * @file
 * Project Wiki behaviors.
 */
(function (Drupal, once) {
  Drupal.behaviors.projectWikiSearch = {
    attach(context, settings) {
      once("projectWikiSearch", ".project-wiki-entries-list").forEach(function (
        list
      ) {
        const options = {
          valueNames: [
            "project-wiki-entry-title",
            "project-wiki-entry-category",
            "project-wiki-entry-developerContent",
            "project-wiki-entry-content",
          ],
        };
        const entriesList = new List(list, options);
      });
    },
  };
})(Drupal, once);
